ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

List orders

This API is used to retrieve a list of all the available orders.

Sample Request

URL Format

GET https://[site].chargebee.com/api/v2/orders

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

include_deleted
optional, boolean, default=false

If set to true, includes the deleted resources in the response. For the deleted resources in the response, the 'deleted ' attribute will be 'true '.

exclude_deleted_credit_notes
optional, boolean

Flag to indicate whether deleted credit notes should be passed or not.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : created_at, updated_at

Supported sort-orders : asc, desc

Example → sort_by[asc] = "created_at"

This will sort the result based on the 'created_at' attribute in ascending(earliest first) order.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

Uniquely identifies the order. It is the api identifier for the order. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is_not] = "890"

Supported operators: is, is_not, starts_with, in, not_in
Example 890
invoice_id[<operator>]

optional, string filter

The invoice number which acts as an identifier for invoice and is generated sequentially. Supported operators : is, is_not, starts_with, in, not_in

Example → invoice_id[is] = "INVOICE_982"

Supported operators: is, is_not, starts_with, in, not_in
Example INVOICE_982
subscription_id[<operator>]

optional, string filter

The subscription for which the order is created. Supported operators : is, is_not, starts_with

Example → subscription_id[is_not] = "null"

Supported operators: is, is_not, starts_with
status[<operator>]

optional, enumerated string filter

The status of this order. Possible values are : new, processing, complete, cancelled, voided, queued, awaiting_shipment, on_hold, delivered, shipped, partially_delivered, returned.

Supported operators : is, is_not, in, not_in

Example → status[is] = "queued"

Supported operators: is, is_not, in, not_in
Example queued
shipping_date[<operator>]

optional, timestamp(UTC) in seconds filter

This is the date on which the order will be delivered to the customer. Supported operators : after, before, on, between

Example → shipping_date[on] = "1435054328"

Supported operators: after, before, on, between
Example 1435054328
shipped_at[<operator>]

optional, timestamp(UTC) in seconds filter

The time at which the order was shipped. Supported operators : after, before, on, between

Example → shipped_at[before] = "1435054328"

Supported operators: after, before, on, between
Example 1435054328
order_type[<operator>]

optional, enumerated string filter

Order type. Possible values are : manual, system_generated.

Supported operators : is, is_not, in, not_in

Example → order_type[is_not] = "system_generated"

Supported operators: is, is_not, in, not_in
Example system_generated
order_date[<operator>]

optional, timestamp(UTC) in seconds filter

The date on which the order will start getting processed. Supported operators : after, before, on, between

Example → order_date[after] = "1435054328"

Supported operators: after, before, on, between
Example 1435054328
paid_on[<operator>]

optional, timestamp(UTC) in seconds filter

The timestamp indicating the date & time the order's invoice got paid. Supported operators : after, before, on, between

Example → paid_on[before] = "1435054328"

Supported operators: after, before, on, between
Example 1435054328
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

To filter based on updated at . Supported operators : after, before, on, between

Example → updated_at[after] = "1243545465"

Supported operators: after, before, on, between
Example 1243545465
created_at[<operator>]

optional, timestamp(UTC) in seconds filter

The time at which the order was created. Supported operators : after, before, on, between

Example → created_at[after] = "1435054328"

Supported operators: after, before, on, between
Example 1435054328
resent_status[<operator>]

optional, enumerated string filter

Resent order status. Possible values are : fully_resent, partially_resent.

Supported operators : is, is_not, in, not_in

Example → resent_status[is] = "fully_resent"

Supported operators: is, is_not, in, not_in
Example fully_resent
is_resent[<operator>]

optional, boolean filter

Order is resent order or not. Possible values are : true, false

Supported operators : is

Example → is_resent[is] = "false"

Supported operators: is
Example false
original_order_id[<operator>]

optional, string filter

If resent order what is the parent order id. Supported operators : is, is_not, starts_with

Example → original_order_id[is] = "1xRt6ifdr"

Supported operators: is, is_not, starts_with
Example 1xRt6ifdr

Returns

next_offsetoptional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

orderOrder object
Resource object representing order